Subject: Re: [PATCH v8 00/37] config-based hooks

From: Emily Shaffer <[email-masked]>
Date: Fri, 12 Mar 2021 15:27:34 -0800

On Thu, Mar 11, 2021 at 02:26:10PM -0800, Junio C Hamano wrote:
> 
> Emily Shaffer <[email-masked]> writes:
> 
> > Since v7:
> > - Addressed Jonathan Tan's review of part I
> > - Addressed Junio's review of part I and II
> > - Combined parts I and II
> >
> > I think the updates to patch 1 between the rest of the work I've been
> > doing probably have covered Ævar's comments.
> >
> > More details about per-patch changes found in the notes on each mail (I
> > hope).
> >
> > I know that Junio was talking about merging v7 after Josh Steadmon's
> > review and I asked him not to - this reroll has those changes from
> > Jonathan Tan's review that I was wanting to wait for.
> 
> I picked it up and replaced, not necessarily because it is an urgent
> thing to do during the pre-release period, but primarily because I
> wanted to be prepared for any nasty surprises by unmanageable
> conflicts I may have to face once the current cycle is over.
> 
> It turns out that it was a bit painful to merge to 'seen' as there
> are in-flight topics that touch the hooks documentation, and the
> changes they make must be carried forward to the new file.
> 
> But it was not too bad.  
> 
> The merge into 'seen' is 3cdeaeab (Merge branch 'es/config-hooks'
> into seen, 2021-03-11) as of this writing, and the output of
> 
>     $ git diff 3cdeaeab3a^:Documentation/githooks.txt \
>                3cdeaeab3a:Documentation/native-hooks.txt
> 
>     (i.e. the version of the file before the merge, where your topic
>     being merged took material to edit to produce the new "native-hooks"
>     document, is compared with the result)
> 
> looks reasonable to me, but please double check.

I had a look at that diff (but targeting 6da6893c, which is what I see
for "Merge branch 'es/config-hooks' into seen" when I fetch from
gitster/git today) and it looks fine to me, very reasonable. Thanks for
doing that.

> Thanks.